Get List of Users
GET /users/
URL Example
https://system_domain/api/v2/users/?page=1&search=John Doe
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
page | number | No | Page number (30 users are displayed per page) |
search | string | No | Search across users |
exact_search | number | No | Search for exact match of the "search" value (1 - exact match, 0 - standard search) |
group_list | string | No | Search by user group ID (IDs are separated by commas) |
id_list | string | No | Search for users by ID (IDs are separated by commas) |
organization_list | string | No | Search for users by company ID (IDs are separated by commas) |
from_date_created | string | No | Creation date "from". Users created since the specified moment (YYYY-MM-DD HH:MM:SS) |
to_date_created | string | No | Creation date "to". Users created before the specified moment (YYYY-MM-DD HH:MM:SS) |
from_date_updated | string | No | Update date "from". Users with changes made since the specified moment (YYYY-MM-DD HH:MM:SS) |
to_date_updated | string | No | Update date "to". Users with changes made before the specified moment (YYYY-MM-DD HH:MM:SS) |
order_by | string | No | Sort users, comma-separated. Users can be sorted by parameters: date_created, date_updated, name. Sort order: {asc} - ascending and {desc} - descending; Default value - name{asc} |
Response Example
{
"data": [
{
"id": 414,
"date_created": "2025-01-04 23:54:43",
"date_updated": "2025-01-09 16:00:36",
"name": "user test",
"lastname": "",
"alias": "",
"phone": "1234567",
"skype": "",
"website": "",
"organization": "",
"status": "active",
"language": "ru",
"notifications": "1",
"group": {
"id": 45,
"type": "user",
"name": {
"ru": "Клиент",
"en": "Client"
},
"disable": 0
},
"ldap_username": null,
"user_status": "offline",
"department": [
1
],
"custom_fields": [
{
"id": 37,
"field_type": "text",
"field_value": "Text field value"
}
]
}
],
"pagination": {
"total": 1,
"per_page": 30,
"current_page": 1,
"total_pages": 1
}
}